Class GetUsersQueueRequest
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest<PlaybackQueue>
se.michaelthelin.spotify.requests.data.AbstractDataRequest<PlaybackQueue>
se.michaelthelin.spotify.requests.data.player.GetUsersQueueRequest
- All Implemented Interfaces:
IRequest<PlaybackQueue>
Get the list of objects that make up the user's queue.
Returns the items from the current user’s playback queue, including the currently playing item.
The endpoint does not support paging since the queue is not expected to be large.
Therefore, the request will return a PlaybackQueue object including a List of IPlaylistItem.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic final classBuilder class for building aGetUsersQueueRequest. -
Method Summary
Methods inherited from class AbstractRequest
bodyParametersToJson, deleteJson, executeAsync, getBody, getBodyParameters, getContentType, getHeaders, getHttpManager, getJson, getUri, initializeBody, postJson, putJsonModifier and TypeMethodDescriptionbodyParametersToJson(List<org.apache.hc.core5.http.NameValuePair> bodyParameters) Convert body parameters to JSON string.Execute DELETE request and get JSON response.Get something asynchronously.org.apache.hc.core5.http.HttpEntitygetBody()Get the request body.List<org.apache.hc.core5.http.NameValuePair> Get the body parameters for this request.org.apache.hc.core5.http.ContentTypeGet the content type for this request.List<org.apache.hc.core5.http.Header> Get the headers for this request.Get the HTTP manager for this request.getJson()Get JSON response as string.getUri()Get the URI for this request.voidInitialize the request body based on content type.postJson()Execute POST request and get JSON response.putJson()Execute PUT request and get JSON response.
-
Method Details
-
execute
public PlaybackQueue execute() throws IOException, SpotifyWebApiException, org.apache.hc.core5.http.ParseExceptionGet the user's current playback queue.- Returns:
- An
PlaybackQueueobject including a List ofIPlaylistItem. - Throws:
IOException- In case of networking issues.SpotifyWebApiException- The Web API returned an error further specified in this exception's root cause.org.apache.hc.core5.http.ParseException- In case of an error parsing the response.
-